ipa-run-tests(1)

NAME
ipa-run-tests - Run the FreeIPA test suite

SYNOPSIS
ipa-run-tests [options]

DESCRIPTION
ipa-run-tests is a wrapper around nosetests that run the FreeIPA test suite. It is intended to be used for developer testing and in continuous integration systems. It loads IPA-internal Nose plugins ordered-tests and beakerlib. The ordered-tests plugin is enabled automatically. The FreeIPA test suite installed system-wide is selected via Nose's --where option. It is possible to select a subset of the entire test suite by specifying a test file relative to the ipatests package, for example:
    ipa-run-tests test_integration/test_simple_replication.py

OPTIONS
All command-line options are passed to the underlying Nose runner. See nosetests(1) for a complete list. The internal IPA plugins add an extra option:

--with-beakerlib
    Enable BeakerLib integration. Test phases, failures and passes, and log messages are reported using beakerlib(1) commands. This option requires the beakerlib.sh script to be sourced.

EXIT STATUS
0 if the command was successful nonzero if any error or failure occurred

CONFIGURATION
Please see ipa-test-config(1) for a description of configuration environment variables.

REFERENCES
A full description of the FreeIPA integration testing framework is available at http://www.freeipa.org/page/V3/Integration_testing